Bug 241101 - Review Request: dwatch - A program that watches over other programs
Review Request: dwatch - A program that watches over other programs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-24 02:17 EDT by Bernard Johnson
Modified: 2014-08-22 08:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-31 12:48:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bernard Johnson 2007-05-24 02:17:20 EDT
Spec URL: http://symetrix.com/~bjohnson/projects/fedora/dwatch.spec
SRPM URL: http://symetrix.com/~bjohnson/projects/fedora/dwatch-0.1.1-1.src.rpm
Description: 
Dwatch (Daemon Watch) is a program that watches over other programs and
performs actions based on conditions specified in a configuration file. See
dwatch.conf for an example of what the file might look like.

Dwatch is meant to be run from cron at regular intervals.
Comment 1 Jochen Schmitt 2007-05-24 10:55:35 EDT
Good:
+ Rpmlint is quite on source rpm.
+ Local build works fine.
+ Rpmlint is quite on binary rpm.
+ Rpmlint is quite on debuginfo rpm.
+ License seems ok.
+ Package contains verbatin copy of the license text.

Bad:
- I have some problem of using of the programm

I thought, that the programm will read /etc/dwatch.conf and start or restart the
given progamm, if the conditions specified in the configuration file will met.

Unfortunately, I can't see anv effect.



Comment 2 Bernard Johnson 2007-05-24 13:10:18 EDT
(In reply to comment #1)

> Bad:
> - I have some problem of using of the programm
> 
> I thought, that the programm will read /etc/dwatch.conf and start or restart the
> given progamm, if the conditions specified in the configuration file will met.
> 
> Unfortunately, I can't see anv effect.

Can you post your /etc/dwatch.conf file and try running 'dwatch -v -d' and post
the output.  I've found that dwatch is fairly sensitive to white space, but
running this should provide the output as to what it's trying to do.
Comment 3 Jochen Schmitt 2007-05-28 13:50:47 EDT
I have solved the problem described in comment #2.

Good:
+ Package contains the verbaatin text of the license.
+ Mock build works fine.

*** APPROVED ***
Comment 4 Bernard Johnson 2007-05-28 20:52:37 EDT
New Package CVS Request
=======================
Package Name: dwatch
Short Description: A program that watches over other programs
Owners: bjohnson@symetrix.com
Branches: FC-5 FC-6 F-7 EL-4 EL-5
InitialCC: 
Comment 5 Bernard Johnson 2007-05-28 20:53:11 EDT
Forgot to flip the flag:

New Package CVS Request
=======================
Package Name: dwatch
Short Description: A program that watches over other programs
Owners: bjohnson@symetrix.com
Branches: FC-5 FC-6 F-7 EL-4 EL-5
InitialCC: 
Comment 6 Tom "spot" Callaway 2007-05-29 11:45:17 EDT
cvs done.
Comment 7 Jochen Schmitt 2007-05-31 11:33:35 EDT
Please close this bug after the build.
Comment 8 Bernard Johnson 2007-05-31 12:48:14 EDT
Thanks for the review!
Comment 9 Bernard Johnson 2014-08-21 22:21:46 EDT
Package Change Request
======================
Package Name: dwatch
New Branches: epel7
Owners: bjohnson
Comment 10 Gwyn Ciesla 2014-08-22 08:09:32 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.